/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	gameeng.cpp
*摘要：		游戏引擎类，开始游戏界面
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/
#define DEBUG_CLIENTBLOCK  new( _CLIENT_BLOCK, __FILE__, __LINE__)
#define _CRTDBG_MAP_ALLOC
#define new DEBUG_CLIENTBLOCK
#include "GamEng.h"
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>



extern  PAINTSTRUCT ps;
extern 	HDC hdc;
extern 	HBITMAP hbmp; 
extern 	BITMAP bmp;
extern 	HBITMAP hbmp2; 
extern 	HDC hdcMem;
extern 	HDC hdcTmp;
extern 	RECT rect;
extern 	HWND hwnd;
extern int flag;
extern int tasknum;

extern int KeyReturn;
extern int KeyEsc;
extern int KeyHome;
extern int KeySpace;
extern int KeyLeft0;
extern int KeyUp0;
extern int KeyRight0;
extern int KeyDown0;
//extern SIZE size;
//extern HDC hdcPaint;
extern byte libByte[2097152];
extern byte resByte[2731][16384];//存储lib资源
extern int resByteLen[2731];
extern int resPos[2731][6];//存储lib地址和编号 第六位为长度
extern int resCount;
int specialCallFlag;//特殊调用标志20170129
int finishflag;//用于标记主菜单调用脚本是否结束0-5 0-6-0-9
extern int noReadScript;//20170131
extern int version_now;//20170219
/***********************************************************************
 * 说明:     Game类初始化函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::Game_Init()
{
	stat=-1;//初始化
	ng=0;
	//GetData();
	//libOperator = new LibOperator();
	libOperator.Init();
	//libOperator.GetData();

	//picConverter=new PicConverter();
	picConverter.Init();
	//gameMap = new GameMap();
	gameMap.Init();
	//save_start=new Save();
	save_start.Init(0);//1-写 0读
	//scriptEng = new ScriptEng();
}

/***********************************************************************
 * 说明:     Game类主函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 用于控制当前显示的内容属于哪一个类并调用
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
 *             wstjb          2012-10-13       增加功能
***********************************************************************/
void Game::Game_Main()
//void Game_Main(HWND &hwnd)
{
	wlogfile(1, __FUNCTION__ ,"开始",version_now);
	switch(flag)
	{
		case 0:
		{
			GameCG();
			flag=1;
			break;
		}
		case 2:
		{
			//newgame.History();
			break;
		}
		case 1:
		{
			ChoiceShow();
			break;
		}
		case 3:
		{
			//newgame.who.Show();
			break;
		}
		case 4:
		{
			//newgame.who.gamemap.Show(0);
			break;
		}
		case 5:
		{
			//newgame.who.gamemap.escmenu.Show(0);
			break;
		}
		case 6:
		{
			//newgame.who.gamemap.citymenu.Show(0);
			break;
		}
		case 7:
		{
			//newgame.who.gamemap.secondmenu1.Show(0);
			break;
		}
		case 8:
		{
			//newgame.who.gamemap.citylist.Show();
		}
		case 9:
		{
			//newgame.who.gamemap.herolist.Show(0);
		}

	
	}
}

/***********************************************************************
 * 说明:     Game类释放资源函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 释放资源
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::Game_Shutdown()
{
	ReleaseObjs();//释放资源
}

/***********************************************************************
 * 说明:     Game类显示函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 显示游戏片头动画
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::GameCG()
{
	
	//ShowPicStart(200,"Res\\01.sbp");
	//InvalidateRect(hwnd,NULL,FALSE);
	//ShowPicStart(100,PIC_OTHER,2,14);
	/*ShowPicStart(300,"Res\\05.sbp");
	ShowPicStart(300,"Res\\06.sbp");
	ShowPicStart(300,"Res\\07.sbp");
	ShowPicStart(300,"Res\\08.sbp");
	ShowPicStart(300,"Res\\08.sbp");
	ShowPicStart(0,"Res\\01.sbp");
	ShowPicDirect(0,"Res\\01.sbp");
	ShowPicAdd(0,"Res\\ba.sbp","Res\\ba1.sbp",75,100);
	ShowPicAdd(1000,"Res\\ye.sbp","Res\\ye1.sbp",450,100);
	ShowPicStart(100,"Res\\01.sbp");*/
	//ShowText("请按任意键继续",250,480,40);
	//ShowText("基本按键如下：方向键——移动        Enter（回车）——确认                   ",0,50,20);
	//ShowText("Esc——退出、返回或菜单             Space（空格）——战争界面可查看武将信息 ",0,70,20);
	//ShowText("Home——地图界面显示城市连接信息，战争界面显示当前战场情况                  ",0,90,20);
	//ShowText("                （可使用 窗口配置程序 在游戏关闭时更改按键）                ",0,110,20);
	//ShowText("——————————————————————————————————————",0,130,20);
	//Delay(100);

	
}

/***********************************************************************
 * 说明:     Game类显示函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 显示游戏制作人员
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::About()
{

	//ShowPicDirect(0,"Res\\black.sbp",0,0);
	
	//ShowPicDirect(0,"Res\\black.sbp",0,-50);
	//ShowPicDirect(0,"Res\\black.sbp",0,50);
	//ShowPicDirect(200,"Res\\maker.sbp",0,0);
	//ShowPic(0,"Res\\black.sbp",0,100);

}

/***********************************************************************
 * 说明:     Game类读档函数
 * 输入参数: 无
 * 返回值  : 无
 * 功能	   : 读档
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       未完成基本功能
***********************************************************************/
void Game::Load()
{
	wlogfile(1, __FUNCTION__ ,"开始",0);
	ShowPic(0,PIC_OTHER,2,16,0,0);
	save_start.Init(0);//0表示读取数据
	save_start.Read(-1);//-1表示读取所在地图及角色头像
	save_start.Show();
	
}

/***********************************************************************
 * 说明:     Game类显示按键函数
 * 输入参数: dirction
 * 返回值  : 无
 * 功能	   : 显示当前按键选择的选项
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::ChoiceShow(int dirction)
{
	wlogfile(1, __FUNCTION__ ,"开始",0);
	ClrScence();
	ShowPic(0,PIC_OTHER,2,14,-1,-1);
	if(dirction == -1)
	{
		dirction = 1;
		stat = 0;
		ShowCG(1,MOVIE_CHOICE_START,0,0,-1);
	}
	if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+stat))
	{
		ShowCG(1,MOVIE_CHOICE_START+stat,0,0,-1);
	}
	else if(dirction == 0)//上
	{
		if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+5))
		{
			stat = 5;
		}
		else if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+4))
		{
			stat = 4;
		}
		else if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+3))
		{
			stat = 3;
		}
		else if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+2))
		{
			stat = 2;
		}
		else if(CheckResExits(RES_SRS,1,MOVIE_CHOICE_START+1))
		{
			stat = 1;
		}
		ShowCG(1,MOVIE_CHOICE_START+stat,0,0,-1);
	}
	else if(dirction == 1)//下
	{
		stat = 0;
		ShowCG(1,MOVIE_CHOICE_START+stat,0,0,-1);
	}
	

}

/***********************************************************************
 * 说明:     Game类按键函数
 * 输入参数: WPARAM KeyCode——按键信息，用于确定当前的城市
 * 返回值  : 无
 * 功能	   : 处理当前类的按键信息
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::KeyDown(WPARAM KeyCode)
{
	//ChoiceShow();
	
	if(ng==1)
	{
		if(finishflag == 1)//20160121 增加确认已完成脚本
		{
			finishflag = 0;
			return;
		}

		if(KeyCode == 1)return;
		int rt=gameMap.KeyDown(KeyCode);
		if(rt==-1||rt == GAMEOVER_FLAG)
		{
			ng=0;
			ChoiceShow();
			finishflag = 0;
			//KillTimer (hwnd, 1) ;
		}
		
	}
	else if(ng==3)
	{

		
		int rt=0;//newgame.KeyDown(KeyCode);
		if(rt==-1)
		{
			ng=0;
			ChoiceShow();
		}
		//ng=1;

	}
	else if(ng==2)
	{
		int retval=save_start.KeyDown(KeyCode);
		if(retval==-1)//返回
		{
			ng=0;
			ChoiceShow();

		}
		else if(retval!=3)//选择存档
		{
			savefg=0;
			ng=3;
			//save_start.Read(retval);
			//flag=4;
			int rt=0;//save_start.Read(retval);
			if(rt==-1)
			{
				savefg=1;
				ng=2;
				TimerMessage("无法读取空存档！",50,280,12,1,1000);
				Load();
				return;
			}
			if(rt==-2)
			{
				savefg=1;
				ng=2;
				TimerMessage("存档版本>游戏版本！",50,280,12,1,1000);
				Load();
				return;
			}

			memset(&(gameMap),0,sizeof(&(gameMap)));

			gameMap.scriptEng.keyflag = 0;
			gameMap.scriptEng.keyflag2 = 0;
			gameMap.scriptEng.keyflag34 = 0;

			gameMap.LoadInit();
			

			ng=1;
			SetTimer (hwnd, 1, 100, NULL) ;
			if(gameMap.scriptEng.StartChapter(save_start.scriptType,save_start.scriptNo,1)==GAMEOVER_FLAG)
			{
				ng=0;
				ChoiceShow();
				KillTimer (hwnd, 1) ;
				return;
			}

			ChangeSaveToData();

			gameMap.scriptEng.map.InitMap(gameMap.scriptEng.map.mapType,gameMap.scriptEng.map.mapIdx,gameMap.scriptEng.map.x,gameMap.scriptEng.map.y );
			gameMap.scriptEng.map.Show(0);
			
			gameMap.scriptEng.Show(0);

			if(CheckResExits(RES_GUT,0,5) == 1 && noReadScript == 0)
			{
				gameMap.scriptEng.SetStackForCallChapter();
				gameMap.scriptEng.orderPos = 0;
				gameMap.scriptEng.keyflag = 0;
				//saveEnable = 1;
				gameMap.scriptEng.newStartFlag = 1;//用startchaptrt函数
				gameMap.scriptEng.newStartType = 0;
				gameMap.scriptEng.newStartIdx = 5;
				//CallChapter(newStartType,newStartIdx);
				SendMessage(hwnd,WM_KEYDOWN,0,KeyReturn);
				specialCallFlag = 1;
				gameMap.scriptEng.CallChapter(0,5);//20170130
			}
		}
		
	}
	else if(ng==10)
	{
		ng=0;
		ChoiceShow();
	}
	else if(ng == 11)
	{
		if(finishflag == 1)//20160121 增加确认已完成脚本
		{
			ng = 0;
			finishflag = 0;
			ChoiceShow();
		}
		else
		{
			int rt=scriptEng.KeyDown(KeyCode);
			if(rt==-1||rt == GAMEOVER_FLAG)
			{
				ng=0;
				ChoiceShow();
				finishflag = 0;
				KillTimer (hwnd, 1) ;
			}

		}
	}
	else
	{
		if(KeyCode==KeyDown0)
		{
	
			stat++;
			if(stat >=6)stat=0;
			ChoiceShow(1);
			return;
		}
		else if(KeyCode==KeyUp0)
		{
			stat--;
			if(stat<=-1)stat=5;
			ChoiceShow(0);
			return;
		}
		else if(KeyCode==KeyReturn)
		{
			if(stat==0)
			{
				ng=1;
				SetTimer (hwnd, 1, 100, NULL) ;
				
				gameMap.Init();
				gameMap.Show(0);
				
			}
			else if(stat==1)
			{
				Load();
				ng=2;
			}
			else if(stat>1)
			{
				ng = 11;//11-显示状态，等待返回
				scriptEng.Init();
				specialCallFlag = 1;//特殊调用标志激活状态20170129
				int rt = scriptEng.CallChapter(0,stat-1);
				//specialCallFlag = 0;
				//return;
				if(rt == GAMEOVER_FLAG)//20160812
				{
					ng=0;
					ChoiceShow();
					KillTimer (hwnd, 1) ;
				}
			}
			

		}
		else if(KeyCode==KeyEsc)
		{
			//Game_Shutdown();
			//PostQuitMessage(0);
		}
		else
		{
			if(stat==-1)
			{	
				stat=0;
				ChoiceShow();
			}
			return;
		}

		
	}
	return;

}

/***********************************************************************
 * 说明:     Game类新游戏函数
 * 输入参数: WPARAM KeyCode——按键信息
 * 返回值  : 无
 * 功能	   : 调用历史时期选择类
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Game::NewGame1(WPARAM KeyCode)
{
	//newgame.History();
	//newgame.KeyDown(KeyCode);
}

void Game::ReleaseObjs()
{
	ReleaseDC(hwnd,hdc);
	ReleaseDC(hwnd,hdcMem);
	ReleaseDC(hwnd,hdcTmp);
	DeleteObject(hbmp);
	DeleteObject(hbmp2);

}

void Game::ChangeSaveToData()
{
	wlogfile(1, __FUNCTION__ ,"---------------------读档-----------------------",0);
	memcpy(gameMap.scriptEng.sceneName,save_start.sceneName,8);
	for(int i = 0 ; i < save_start.actorNum;i++)
	{
		gameMap.scriptEng.roleList.actor[save_start.actorNo[i]-1].inRankFlag = 1;
		gameMap.scriptEng.roleList.actor[save_start.actorNo[i]-1].inRankId = i;//20170308
	}

	gameMap.scriptEng.map.mapType = save_start.mapType ;
	gameMap.scriptEng.map.mapIdx = save_start.mapNo;
	gameMap.scriptEng.map.x = save_start.mapX ;
	gameMap.scriptEng.map.y = save_start.mapY ;
	gameMap.scriptEng.scriptType = save_start.scriptType ;
	gameMap.scriptEng.scriptIndex = save_start.scriptNo ;
	for(int i = 0 ; i < 25 ; i ++)
	{
		//if(gameMap.scriptEng.roleList.actor[i].inRankFlag != 1)continue;//20170118修正
		 gameMap.scriptEng.roleList.actor[i].degree         = save_start.actorInfo[i][0];
		 gameMap.scriptEng.roleList.actor[i].att            = save_start.actorInfo[i][1]; 
		 gameMap.scriptEng.roleList.actor[i].def            = save_start.actorInfo[i][2]; 
		 gameMap.scriptEng.roleList.actor[i].speed          = save_start.actorInfo[i][3]; 
		 gameMap.scriptEng.roleList.actor[i].hp             = save_start.actorInfo[i][4]; 
		 gameMap.scriptEng.roleList.actor[i].mp             = save_start.actorInfo[i][5]; 
		 gameMap.scriptEng.roleList.actor[i].exp            = save_start.actorInfo[i][6]; 
		 gameMap.scriptEng.roleList.actor[i].expMax         = save_start.actorInfo[i][7]; 
		 gameMap.scriptEng.roleList.actor[i].anima          = save_start.actorInfo[i][8]; 
		 gameMap.scriptEng.roleList.actor[i].lucky          = save_start.actorInfo[i][9]; 
		 gameMap.scriptEng.roleList.actor[i].disround       = save_start.actorInfo[i][10];
		 gameMap.scriptEng.roleList.actor[i].anti           = save_start.actorInfo[i][11];
		 gameMap.scriptEng.roleList.actor[i].atcause        = save_start.actorInfo[i][12];
		 gameMap.scriptEng.roleList.actor[i].togethermagic  = save_start.actorInfo[i][13];
		 gameMap.scriptEng.roleList.actor[i].hpAdd          = save_start.actorInfo[i][14];
		 gameMap.scriptEng.roleList.actor[i].mpAdd          = save_start.actorInfo[i][15];
		 gameMap.scriptEng.roleList.actor[i].head           = save_start.actorInfo[i][16];
		 gameMap.scriptEng.roleList.actor[i].body           = save_start.actorInfo[i][17];
		 gameMap.scriptEng.roleList.actor[i].shoulder       = save_start.actorInfo[i][18];
		 gameMap.scriptEng.roleList.actor[i].sleeve         = save_start.actorInfo[i][19];
		 gameMap.scriptEng.roleList.actor[i].hand           = save_start.actorInfo[i][20];
		 gameMap.scriptEng.roleList.actor[i].foot           = save_start.actorInfo[i][21];
		 gameMap.scriptEng.roleList.actor[i].decorate1      = save_start.actorInfo[i][22];
		 gameMap.scriptEng.roleList.actor[i].decorate2      = save_start.actorInfo[i][23];
		 gameMap.scriptEng.roleList.actor[i].hpMax          = save_start.actorInfo[i][24];
		 gameMap.scriptEng.roleList.actor[i].mpMax          = save_start.actorInfo[i][25];
		 gameMap.scriptEng.roleList.actor[i].magicMaxInList = save_start.actorInfo[i][26];
		 gameMap.scriptEng.roleList.actor[i].magicLearn     = save_start.actorInfo[i][27];
		 gameMap.scriptEng.roleList.actor[i].magicListNo    = save_start.actorInfo[i][28];//20170115
	
	}
	gameMap.scriptEng.money = save_start.money;
	gameMap.scriptEng.goodList.equipInListCount = save_start.equipListCount;
	gameMap.scriptEng.goodList.goodInListCount = save_start.goodListCount;
	for(int i = 0 ; i < 2731 ; i ++)
	{
		gameMap.scriptEng.goodList.goodInList[i][0]  = save_start.goodList[i][0] ;
		gameMap.scriptEng.goodList.goodInList[i][1]  = save_start.goodList[i][1] ;
		gameMap.scriptEng.goodList.goodInList[i][2]  = save_start.goodList[i][2] ;
		gameMap.scriptEng.goodList.equipInList[i][0] = save_start.equipList[i][0]; 
		gameMap.scriptEng.goodList.equipInList[i][1] = save_start.equipList[i][1]; 
		gameMap.scriptEng.goodList.equipInList[i][2] = save_start.equipList[i][2]; 
	}
	for(int i = 0 ; i < 2400 ; i ++)
	{
		gameMap.scriptEng.globalEvent[i] = save_start.globalEvent[i]; 
	}
	for(int i = 0 ; i < 240 ; i ++)
	{
		gameMap.scriptEng.globalValue[i] = save_start.globalValue[i]; 
	}

	gameMap.scriptEng.saveEnable = save_start.saveEnable;
	gameMap.scriptEng.fightEnable = save_start.fightEnable;


	for(int i = 0 ; i < 8 ; i ++)
	{
		 gameMap.scriptEng.fight.enemyType[i] = save_start.fightSave[i];
	}

	gameMap.scriptEng.fight.scrb = save_start.fightSave[8];
	gameMap.scriptEng.fight.scrl = save_start.fightSave[9];
	gameMap.scriptEng.fight.scrr = save_start.fightSave[10];

	for(int i = 0 ; i < 255 ; i ++)
	{
		if(save_start.npcSaved[i][0] == 1)//showFlag 20210627
		{
			gameMap.scriptEng.roleList.nPC[i].PubInit(save_start.npcSaved[i][7]);//no 20210627
		}
		gameMap.scriptEng.roleList.nPC[i].showFlag = save_start.npcSaved[i][0];
		gameMap.scriptEng.roleList.nPC[i].ax = save_start.npcSaved[i][1];
		gameMap.scriptEng.roleList.nPC[i].ay = save_start.npcSaved[i][2];
		gameMap.scriptEng.roleList.nPC[i].picno = save_start.npcSaved[i][3];
		gameMap.scriptEng.roleList.nPC[i].action = save_start.npcSaved[i][4];
		gameMap.scriptEng.roleList.nPC[i].faceTo = save_start.npcSaved[i][5];//20210627
		gameMap.scriptEng.roleList.nPC[i].step = save_start.npcSaved[i][6];//20210627
		gameMap.scriptEng.roleList.nPC[i].no = save_start.npcSaved[i][7];//20210627
		if(gameMap.scriptEng.roleList.nPC[i].showFlag == 1)
		{
			gameMap.scriptEng.map.mapNpc[gameMap.scriptEng.roleList.nPC[i].ax-1][gameMap.scriptEng.roleList.nPC[i].ay-1] = i+1;
		}
	}


	gameMap.scriptEng.actorShowNum = save_start.controlId;

	for(int i = 0 ; i < 25 ; i ++)
	{
		gameMap.scriptEng.actorMagicList[i].exLearned = save_start.magicExLearned[i];
		//gameMap.scriptEng.magicList[gameMap.scriptEng.roleList.actor[i].magicListNo-1].magicCount = save_start.magicMax[i];
		gameMap.scriptEng.actorMagicList[i].magicCount = save_start.magicMax[i];
		for(int j = 0 ; j < save_start.magicMax[i] ; j ++)
		{
			gameMap.scriptEng.actorMagicList[i].magic[j].Init(save_start.magicSaved[i][j][0],save_start.magicSaved[i][j][1]);
			//gameMap.scriptEng.magicList[gameMap.scriptEng.roleList.actor[i].magicListNo-1].magicType[j] = save_start.magicSaved[i][j][0];
			//gameMap.scriptEng.magicList[gameMap.scriptEng.roleList.actor[i].magicListNo-1].magicIdx[j] = save_start.magicSaved[i][j][1];
		}
	}

	gameMap.scriptEng.missflag = save_start.missflag;
	gameMap.scriptEng.throwflag = save_start.throwflag;

	for(int i = 0 ; i < 255 ; i ++)
	{
		gameMap.scriptEng.roleList.sceneObj[i].showFlag = save_start.sceneObjSaved[i][0] ;
		gameMap.scriptEng.roleList.sceneObj[i].ax = save_start.sceneObjSaved[i][1] ;
		gameMap.scriptEng.roleList.sceneObj[i].ay = save_start.sceneObjSaved[i][2]  ;
		gameMap.scriptEng.roleList.sceneObj[i].picno = save_start.sceneObjSaved[i][3]  ;
		gameMap.scriptEng.roleList.sceneObj[i].action = save_start.sceneObjSaved[i][4]  ;
		if(gameMap.scriptEng.roleList.sceneObj[i].showFlag == 1)
		{
			gameMap.scriptEng.SetObjMapNpc(gameMap.scriptEng.roleList.sceneObj[i].ax-1,gameMap.scriptEng.roleList.sceneObj[i].ay-1,i+1,0);
			//gameMap.scriptEng.map.mapNpc[gameMap.scriptEng.roleList.sceneObj[i].ax-1][gameMap.scriptEng.roleList.sceneObj[i].ay-1] = i+1+100;
		}
		else
		{
			gameMap.scriptEng.SetObjMapNpc(gameMap.scriptEng.roleList.sceneObj[i].ax-1,gameMap.scriptEng.roleList.sceneObj[i].ay-1,0,1);
			//gameMap.scriptEng.map.mapNpc[gameMap.scriptEng.roleList.sceneObj[i].ax-1][gameMap.scriptEng.roleList.sceneObj[i].ay-1] = 0;
		}
	}

	gameMap.scriptEng.posEnable = save_start.posEnable ;//20160811
	gameMap.scriptEng.timeEventNo = save_start.timeEventNo ;//20161221
	gameMap.scriptEng.timeEventSecond = save_start.timeEventSecond ;//20161221
	gameMap.scriptEng.timeEventNum = save_start.timeEventNum ;//20161221

}

void Game::GetData()
{

}
